# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Convenience- methods and constants for mapwoc applications.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

BSI_COPYRIGHT = ("Copyright (C) 2011 Bundesamt für"
                 " Sicherheit in der Informationstechnik, BSI")
VERSION_STATEMENT = ("mapwoc comes with ABSOLUTELY NO WARRANTY;\n"
                     "This is free software, and you are welcome to\n"
                     "redistribute it under certain conditions (GPLv2+).")

def print_version_exit(tool, version):
    """Print tool name, version, copyright, free software
       statement and exit(0).
    """
    print "%s version %s, %s\n%s" % (tool, version, BSI_COPYRIGHT,
                                     VERSION_STATEMENT)
    exit(0)
    
