<%inherit file="../base.mako"/>
<%def name="title()">State of the Redirector</%def>

<%def name="urllist_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />

${box_start(_(u"Add URL List"))}
${h.form_start(h.url_for(controller='urllist', action='create'), method="post")}
 ${h.field(_(u"Name"), h.text(name='URLListName', size=40))}
 ${h.field(_(u"Comment"), h.text(name='URLListComment', size=40))}
 <br>
 ${h.field(_(u"URLs"), h.textarea(name='URLsText', rows=10, cols=80))}
 ${h.field(field=h.submit(value=_(u"Create URL List"), name='submit'))}
${h.form_end()}
${box_end()}

${box_start(_(u"Upload URL List"))}
${h.form_start(h.url_for(controller='urllist', action='upload'), multipart=True, method="post")}
 ${h.field(_(u"Name"), h.text(name='URLListUploadName', size=40))}
 ${h.field(_(u"Comment"), h.text(name='URLListUploadComment', size=40))}
 ${h.field(_(u"File"),h.file('URLListFile'))}
 ${h.field(field=h.submit(value=_(u"Upload File"), name='submit_file'))}
${h.form_end()}
${box_end()}

${box_start(_(u"Available URL Lists"))}
<ul>
%for ul in c.urllists:
    <li>
     ${h.link_to(ul.name, h.url_for(controller='urllist',action='view',id=ul.id))} ${_(u"with")} ${str(len(ul.urls))} ${_(u"URLs")}</li>
%endfor
</ul>
${box_end()}

