"""Setup the mapwocgui application"""
import logging

import pylons.test

from mapwocgui.config.environment import load_environment
from mapwocgui.model.meta import Session, Base, metadata

log = logging.getLogger(__name__)

def setup_app(command, conf, vars):
    """Place any commands to setup mapwocgui here"""
    # Don't reload the app if it was loaded under the testing environment
    if not pylons.test.pylonsapp:
        load_environment(conf.global_conf, conf.local_conf)

    # Create the tables if they don't already exist
    log.info("Creating db")
    Base.metadata.create_all(bind=Session.bind)
