<%inherit file="../base.mako"/>
<%def name="title()">${_(u"List of HoneyClients")}</%def>

<%def name="hc_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="name_link_to_node" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="hc_icon" />

${box_start(_(u"List of HoneyClients"))}
<table class="mw_table" style="width:100%">
  <tr><th>${_(u"hcsid")}</th><th>${_("Name")}</th><th>${_("Description")}</th><th>${_("On Nodes")}</th></tr>
  %for hc in c.hcs:
    <tr>
        <td>${hc_icon(hc.hcsid)}${hcsid_link_to_hcsid(hc.hcsid)}</td>
        <td>${hc.name}</td>
        <td>${hc.description}</td>
        <td>
             %if len(hc.on_nodes) >1:
              <ul>
              %for n in hc.on_nodes:
               <li>${name_link_to_node(n)}</li>
              %endfor
              </ul>
            %else:
             ${name_link_to_node(hc.on_nodes[0])}
            %endif
        </td>
    </tr>
  %endfor
</table>
${box_end()}

